var wWidth = 0;
var wHeight = 0;
var bPoint = 750;

/* getWidth */
function getWidth() {
  wWidth = window.innerWidth;
  return wWidth;
}
wWidth = getWidth();

/* getHeight */
function getHeight() {
  wHeight = window.innerHeight;
  return wHeight;
}
wHeight = getHeight();


/* ReLayout */
function ReLayout() {

  wWidth = getWidth();
  wHeight = getHeight();

  if(wWidth <= bPoint) {
    // mode_sP

  } else {
    // mode_pC

  }

}
//ReLayout();


$(function () {
  var timer = false;
  $(window).resize(function () {
    if (timer !== false) {
      clearTimeout(timer);
    }
    timer = setTimeout(function () {
      var ww = $(window).width();
      if (wWidth != ww) {
        ReLayout();
      }
    }, 200);
  });


  // パッドタイプ
  var pad_type = $('body').attr('data-type');
  var pad_variation = $('body').attr('data-variation');

  // ヘッダーバリエーション
  if(pad_variation == ''){
    $('#ct_head .variation').remove();
  }
  $('#ct_head .variation_list>ul').each(function(){
    if(!$(this).hasClass(pad_type)){
      $(this).remove();
    }
  });

  $('#ct_head .variation_list li').on('click',function(){
    var class_variation = $(this).attr('class');
    $('#main').removeClass();
    $('#main').addClass(class_variation);
    $(this).siblings().removeClass('current');
    $(this).addClass('current');
  });

  // ヘッダープルダウン
	$('#ct_head .selected').hover(
		function() {
			$(this).children('.sub').fadeIn(200);
		},
		function() {
			$(this).children('.sub').fadeOut(200);
		}
	);

  // current
  if($('#ct_head .type li.'+pad_type)[0]){
    $('#ct_head .type li.'+pad_type).addClass('current');
  }
  if(pad_variation != ''){
    if($('#ct_head .variation li.'+pad_variation)[0]){
      $('#ct_head .variation li.'+pad_variation).addClass('current');
    }
  }

	// 初期画面
	if($('#gamepad')[0]){
    $('#gamepad').addClass('sleep');
    $('#gamepad').append('<div class="sleepin"><p>コントローラーを接続・操作してください。</p></div>');
  }
});


// ブラウザバック
window.onpageshow = function(){
  setTimeout(function () {
    ReLayout();
  }, 200);
}


// loaded
$.event.add(window, 'load', function () {
  setTimeout(function () {
    ReLayout();
  }, 200);
});


